Subject: [ANCP] "Invalid partition ID" can't happen

From: Tom Taylor <[email-masked]>
Date: Wed, 13 Apr 2011 17:01:06 -0400

I've come to the realization that it is impossible to encounter the 
error "Invalid partition ID" in the context of an established adjacency, 
so Code value 7 is not valid. My reasoning is as follows:

  -- once an adjacency has been established, the only way an AN or NAS 
can know which partition a message is destined for is through the 
combination of the TCP session in which it is received and the Partition ID

  -- if an invalid partition ID is received, the AN or NAS will perceive 
it as a non-adjacency protocol message directed to an adjacency that has 
not been established

  -- in accordance with the general rules of the protocol, this message 
will be silently dropped.

I am assuming that it is permissible to carry multiple adjacencies over 
one TCP session in the general case. I will delete the description of 
Code 7 unless someone points out an error in my understanding of the 
situation.

Tom Taylor